Subject: [Roll] Fwd: New Version Notification for draft-ietf-roll-p2p-rpl-02

From: Mukul Goyal <[email-masked]>
Date: Mon, 7 Feb 2011 07:37:40 -0600 (CST)

Hi all

A new version of the p2p-rpl draft is available for your reading pleasure.

Apart from a large number of editorial changes, the main changes are as follows:

1) Link metrics to be calculated based on the direction of the routes being discovered: This issue needs to be resolved at the RPL level. I am working on a new ID on this issue.

2) Moved route constraints inside RDO. Now that the metrics draft allows/requires the constraints to be modified enroute (it is not clear what the case is and I am still waiting for the metrics draft authors to respond to my query of few days back), the processing of route constraints would need further modifications in the next version of the draft.

3) minimum life time of the temporary DAG is now specified as an exponent of 2.

4) No discarding of the DIO if a metric cant be calculated. We let the metrics be processed as in base RPL. A DIO is discarded only if the propagation/route constraint can be evaluated/enforced.

There is additional issue of garbage collection for defunct DAGs. This issue again needs to be resolved at the RPL level. I will be sending out a new ID on this issue too.

The security and IANA sections are still empty in the new P2P draft version.

Thanks
Mukul

----- Forwarded Message -----
From: "IETF I-D Submission Tool" <[email-masked]>
To: [email-masked]
Cc: "Emmanuel Baccelli" <[email-masked]>, [email-masked], "robert cragie" <[email-masked]>, "jerald p martocci" <[email-masked]>, [email-masked]
Sent: Monday, February 7, 2011 7:24:56 AM
Subject: New Version Notification for draft-ietf-roll-p2p-rpl-02 

A new version of I-D, draft-ietf-roll-p2p-rpl-02.txt has been successfully submitted by Mukul Goyal and posted to the IETF repository.

Filename:	 draft-ietf-roll-p2p-rpl
Revision:	 02
Title:		 Reactive Discovery of Point-to-Point Routes in Low Power and Lossy Networks
Creation_date:	 2011-02-07
WG ID:		 roll
Number_of_pages: 23

Abstract:
Point to point (P2P) communication between arbitrary IPv6 routers and
hosts in a Low power and Lossy Network (LLN) is a key requirement for
many applications.  RPL, the IPv6 Routing Protocol for LLNs,
constrains the LLN topology to a Directed Acyclic Graph (DAG) and
requires the P2P routing to take place along the DAG links.  Such P2P
routes may be suboptimal and may lead to traffic congestion near the
DAG root.  This document specifies a P2P route discovery mechanism,
complementary to the RPL base functionality.  This mechanism allows
an RPL-aware IPv6 router or host to discover and establish, on
demand, one or more routes to another RPL-aware IPv6 router or host
in the LLN such that the discovered routes meet a specified cost
criteria.

The IETF Secretariat.